@import url("https://use.typekit.net/nsi8bnq.css");

* {
  margin: 0;
  padding: 0;
}

html {
  color: #000000;
  font-family: nimbus-sans, sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 14px;
}

body {
  overflow: hidden;
  width: 100vw;
  height: 100vh;
  box-sizing: border-box;
  margin: 0;
  padding: 32px;
  margin-bottom: 32px;
}

p {
  margin-block-start: 0;
  margin-block-end: 0.8em;
}

.grid {
  display: grid;
  width: 100%;
  height: 100%;
  align-items: start;
  grid: auto minmax(0, 1fr) / 2fr 1fr;
  grid-gap: 32px;
}

.nav {
  text-align: left;
}

.title {
  text-align: right;
}

.scroll-image,
.scroll-description {
  position: relative;
  overflow-y: hidden;
  overflow-x: hidden;
  min-width: 0;
  height: 100%;
  text-align: justify;
}

.scroll-wrapper {
  width: 100%;
  box-sizing: border-box;
  position: absolute;
  top: 0;
  right: 0;
  max-height: 100%;
  overflow: auto;
  padding-right: .5em;
}

.scroll-wrapper > img {
  width: 100%;
}

@media (max-width: 768px) {
  body {
    overflow: auto;
    padding: 1.5em;
  }

  .grid {
    display: grid;
    width: 100%;
    height: auto;
    align-items: flex-start;
    grid: auto / auto;
    grid-template-areas:
      "nav"
      "title"
      "scroll-image"
      "scroll-description";
    grid-gap: 1.5em;
    overflow: auto;
  }

  .title {
    text-align: right;
  }

  .scroll-image, 
  .scroll-description {
    position: relative;
    height: auto;
    overflow: visible;
  }

  .scroll-wrapper {
    width: 100%;
    height: auto;
    overflow: visible;
    position: relative;
    padding-right: 0;
  }

  p {
    margin-block-start: 0;
    margin-block-end: 1em;
  }
}

/* hyperlink formatting*/
a {
  text-decoration: none;
}

a:link {
  color: #000000;
  text-decoration: none;
}

a:visited {
  color: #000000;
}

a:focus {
  text-decoration: none;
}

a:hover {
  text-decoration: line-through;
  text-decoration-color: #57dfa8;
}

a:active {
  color: black;
}

::selection {
  background-color: #57dfa8;
}

/* Webkit and CSS3 scrollbar styling */
*::-webkit-scrollbar {
  width: 0.2em;
}

*::-webkit-scrollbar-thumb {
  background-color: #666666;
}

:root {
  scrollbar-width: thin;
  scrollbar-color: #666666 #ffffff;
}
